## edb 1.21

=== Makefile ===
# Makefile for EDB.
# Copyright (C) 1994-5 Michael D. Ernst <mernst@theory.lcs.mit.edu>
# This file is part of EDB, the Emacs database.

# Contributors include 
#   Karl Eichwalder <ke@pertron.central.de>
#   Richard Kim <richard@fraud.tv.tek.com>
#   Thorsten Ohl <ohl@gnu.ai.mit.edu>
#   Michael Patton <MAP@nic.dsi.net>

# Type "make" to byte-compile EDB and create Info files.
# You must run this from the directory containing the EDB files.
# Optional arguments to make:
#   all       same as no argument
#   install   as above, but also install Info files
#   lisp      byte-compile EDB
#   info      create manuals in Info format
#   dvi       create manuals in dvi format
#   ps        create manuals in PostScript format
#   clean     remove all .elc, Info, and temporary files
#   tags      create TAGS file


###########################################################################
### Variables
###

PREFIX = /usr/local
LIBDIR = $(PREFIX)/lib
# LIBDIR = $(PREFIX)/share
EMACSDIR = $(LIBDIR)/emacs
EDB-ELC-DIR = $(EMACSDIR)/site-lisp/edb		# where *.elc go
INFODIR = $(PREFIX)/info			# where info files go

# Don't alias "emacs" to "emacs -q", lest -batch be interpreted as a filename.
# But note that -batch implies -q.
EMACS = emacs
# GNU diff
DIFF =  diff -N -C 3
# DVI2PS = dvi2ps
DVI2PS = dvips
ETAGS = etags
INSTALL = cp -p
# INSTALL = install
# INSTALL = install -m644
PWD = pwd
RM = rm -f
TEXI2DVI = texi2dvi

###
### Users shouldn't have to modify anything below this line.
###

# Yes, it's disgusting to have this hard-coded.
EDB-VERSION = 1.21

EL-FILES = database.el db-convert.el db-file-io.el db-format.el \
	db-interfa.el db-isbn.el db-rdb.el db-rep.el \
	db-search.el db-sort.el db-summary.el db-tagged.el \
	db-time.el db-two-dbs.el db-types.el db-util.el
TEST-EL-FILES = db-isbntst.el
# Generating these on the fly is less foolproof and portable.
ELC-FILES = database.elc db-convert.elc db-file-io.elc db-format.elc \
	db-interfa.elc db-isbn.elc db-rdb.elc db-rep.elc \
	db-search.elc db-sort.elc db-summary.elc db-tagged.elc \
	db-time.elc db-two-dbs.elc db-types.elc db-util.elc
INFO-FILES = edb.info edb.info-1 edb.info-2 edb.info-3 edb.info-4 \
	edb.info-5 edb.info-6
TEXINFO-FILES = edb.cp edb.cps edb.fn edb.fns edb.ky edb.kys \
	edb.pg edb.pgs edb.tp edb.tps edb.vr edb.vrs
TEX-FILES = edb.aux edb.dvi edb.log edb.toc
PS-FILES = edb.ps edb-od.ps edb-op.ps


###########################################################################
### Rules
###

all: lisp info

clean: cleandoc cleanelc
cleanelc:
	$(RM) $(ELC-FILES) BYTE-COMPILE.el
cleandoc:
	$(RM) $(INFO-FILES) $(TEXINFO-FILES) $(TEX-FILES) $(PS-FILES)


TAGS: tags
tags: $(EL-FILES) $(TEST-EL-FILES)
	$(ETAGS) $(EL-FILES) $(TEST-EL-FILES)

# Create a file BYTE-COMPILE.el, used by the "lisp" rule.
BYTE-COMPILE.el: Makefile
	echo ";; This file is used in byte-compilation of EDB." > BYTE-COMPILE.el
	echo ";; You may remove it with impunity." >> BYTE-COMPILE.el
	echo "(setq load-path (cons nil load-path))" >> BYTE-COMPILE.el 
	echo -n '(setq edb-directory "' >> BYTE-COMPILE.el 
	echo -n `$(PWD)` >> BYTE-COMPILE.el 
	echo '")' >> BYTE-COMPILE.el 

# Since not all echo programs support the -n option, you may need to substitute
# this for the last three lines above.
#	echo "(setq edb-directory \"`$(PWD)`\")" >> BYTE-COMPILE.el 

lisp: $(EL-FILES) BYTE-COMPILE.el
	$(EMACS) -batch -l ./BYTE-COMPILE.el -l database.el \
		-f byte-compile-database-all \
		-f batch-byte-compile database.el

install: info
	$(INSTALL) $(INFO-FILES) $(INFODIR)

install-elc: lisp
	$(INSTALL) $(ELC-FILES) $(EDB-ELC-DIR)

###
### Documentation
###

info: edb.info
edb.info: edb.texi
	makeinfo edb.texi

dvi: edb.dvi
edb.dvi: edb.texi
	$(TEXI2DVI) edb.texi

ps: edb.ps
edb.ps: edb.dvi
	dvips -o edb.ps edb.dvi > & /dev/null

### These create a manual with the pages in order.
### od = ordered from dvi, op = ordered from PostScript

edb-od.dvi: edb.dvi
	dviselect -i edb.dvi -o firsttwo.dvi =1,=2 >& /dev/null
	dviselect -i edb.dvi -o index.dvi :_1 >& /dev/null
	dviselect -i edb.dvi -o bodyplus.dvi =3: >& /dev/null
	dviselect -i bodyplus.dvi -o bodynew.dvi 1: >& /dev/null
	# last two lines equivalent to this:
	#  dviselect -i edb.dvi =3: | dviselect -o bodynew.dvi 1: >& /dev/null
	# but I want to catch error output for both invocations of dviselect
	dviconcat -o edb-od.dvi firsttwo.dvi index.dvi bodynew.dvi >& /dev/null
	$(RM) firsttwo.dvi index.dvi bodynew.dvi bodyplus.dvi edb.dvi
	mv edb-od.dvi edb.dvi

edb-od.ps: edb-od.dvi
	dvips -o edb-od.ps edb-od.dvi > & /dev/null

edb-op.ps: edb.ps
# # I can't get either of these to work.
# psselect 1-2,_5-_1,3-_6 edb.ps edb-op.ps
# 
# psselect 1-2,_5-_1,3- edb.ps edb-op-half.ps
# psselect -_6 edb-op-half.ps edb-op.ps


###
### FTP directory
###

FTPDIR = /u/mernst/emacs/edb/FTP

ftp: info ps
	$(RM) edbunref.log
	chmod og-w $(EL-FILES) $(TEST-EL-FILES)
	$(INSTALL) Makefile $(EL-FILES) $(TEST-EL-FILES) $(FTPDIR)/code
	$(INSTALL) README README-example edb.texi $(FTPDIR)/code
	$(INSTALL) README-ftp $(FTPDIR)/README
	$(INSTALL) changelog edb.dvi edb.info edb.info-? $(FTPDIR)
	$(INSTALL) edb.ps $(FTPDIR)/edb.ps
	cd $(FTPDIR); mv code edb-$(EDB-VERSION); tar cf edb-$(EDB-VERSION).tar edb-$(EDB-VERSION); mv edb-$(EDB-VERSION) code; gzip -f edb-$(EDB-VERSION).tar
	echo "Moved files to ftp directory"

ftpexample:
	cd Examples; $(MAKE)

ftpmde: 
	$(MAKE) ftpsetup
	$(MAKE) ftp
	$(MAKE) ftpunsetup

# Collect files from hither and yon in one directory
ftpsetup:
	$(INSTALL) Doc/README Doc/edb.texi .
	chmod u+w edb.texi
	$(INSTALL) Examples/README README-example
	$(INSTALL) Doc/changelog Doc/README-ftp .

# Get rid of all those files that belong elsewhere.
ftpunsetup: cleandoc
	$(RM) README README-example changelog README-ftp
	$(RM) edb.texi edb.ps
	$(RM) BYTE-COMPILE.el

diff:
	echo "Exit status (error code) 1 just means there was a difference"
	-$(DIFF) Last-release FTP/code | gzip > edb-diff.gz
	$(RM) edb-diff.gz.UUE
	uuencode edb-diff.gz edb-diff.gz > edb-diff.gz.UUE

# Local variables:
# eval: (auto-fill-mode nil)
# End:

## edb 1.31

=== examples/btxdb/Makefile ===
# Makefile for btxdb
# Makefile,v 1.18 1993/11/20 22:22:53 ohl Exp

VERSION = 0.6

prefix = $(HOME)

ELISP_DIR = $(prefix)/emacs
INFO_DIR = $(prefix)/info
FMT_DIR = $(prefix)/tex/bibtex/fmt

INSTALL = install
INSTALL_DATA = install -m 644

# Emacs Lisp byte-compiler.  Make sure that it can find EDB.
EMACS = emacs
EFLAGS = -l default.el
EC = $(EMACS) -batch $(EFLAGS) -f batch-byte-compile

CVSTAG = BTXDB_`echo $(VERSION) | sed s/[.]/_/g`
EXPORT_FLAG = -r $(CVSTAG)

SUPPORT = README INSTALL NEWS Makefile TODO ChangeLog \
	btxdb.texi btxdb.info examples/bibtex.bib
ELISP_FILES = btxdb.el
FMT_FILES = article.fmt bibtex.fmt book.fmt booklet.fmt conference.fmt \
	inbook.fmt incollection.fmt inproceedings.fmt manual.fmt \
	mastersthesis.fmt misc.fmt phdthesis.fmt proceedings.fmt \
	techreport.fmt unpublished.fmt
JOURNAL_FILES = journals.dat journals.dba journals.fmt \
	journals-full.rep journals-abbrev.rep

DIST_FILES = $(SUPPORT) $(ELISP_FILES) $(FMT_FILES) $(JOURNAL_FILES)
DIST_DIR = btxdb-$(VERSION)
TAR_FILE = btxdb-$(VERSION).tar.Z
SHAR_FILE = btxdb-$(VERSION).shar

TMP_FILE = /tmp/btxdb.tmp

all: btxdb.elc journals.el btxdb.info btxdb.dvi

install: btxdb.elc btxdb.info $(FMT_FILES)
	$(INSTALL_DATA) btxdb.elc $(ELISP_DIR)
	$(INSTALL_DATA) $(FMT_FILES) $(FMT_DIR)
	$(INSTALL_DATA) btxdb.info $(INFO_DIR)

btxdb.elc: btxdb.el
	$(EC) btxdb.el

INSTALL: btxdb.info
	cat -v btxdb.info | sed -n '/^Installation$$/,/^^_$$/p' \
	  | sed '$$d' > $@

NEWS: btxdb.info
	cat -v btxdb.info | sed -n '/^News$$/,/^^_$$/p' | sed '$$d' > $@

btxdb.info: btxdb.texi
	makeinfo btxdb.texi

btxdb.dvi: btxdb.texi
	tex btxdb.texi
	texindex btxdb.cp btxdb.fn btxdb.ky btxdb.pg btxdb.tp btxdb.vr
	tex btxdb.texi
	tex btxdb.texi

journals.el: journals.dat
	echo '(db-find-file "journals.dat") (btxdb-update-journals)' \
	 > $(TMP_FILE)
	emacs -batch $(EFLAGS) -l $(TMP_FILE)
	rm -fr $(TMP_FILE)

clean:
	rm -f *~ *.cp *.fn *.ky *.pg *.tp *.vr *.cps *.fns *.kys *.pgs \
		*.tps *.vrs *.dvi *.log *.aux *.toc

veryclean: clean
	rm -f *.elc journals.el	journals-full.bib journals-abbrev.bib \
		btxdb.info $(TAR_FILE) $(SHAR_FILE) INSTALL NEWS

commit:
	cvs commit -m 'freezing version $(VERSION)'
	cvs tag $(CVSTAG)

tar: $(TAR_FILE)
shar: $(SHAR_FILE)
ftp: /home/ftp/pub/$(TAR_FILE)
/home/ftp/pub/$(TAR_FILE): $(TAR_FILE)
	cp $(TAR_FILE) $@

$(TAR_FILE): $(DIST_FILES)
	rm -fr $(DIST_DIR)
	cvs export -d $(DIST_DIR) $(EXPORT_FLAG) btxdb
	tar cvf - $(DIST_DIR) | compress > $(TAR_FILE)
	rm -fr $(DIST_DIR)

$(SHAR_FILE): $(DIST_FILES)
	shar -pX $(DIST_FILES) > $(SHAR_FILE)

=== examples/edbibtex/Makefile ===
# Makefile for edbibtex 0.4

# The basename of your bibliographic database
BASENAME = bibliography

# The directory that contains your bibliographic database
BIBDIR = /home/mike/txt/water

# The directory in which you would like edbibtex to be installed
BASEDIR = /usr/lib/emacs/site-lisp

# The directory in which you would like your format files to be installed
FORMATDIR = $(BASEDIR)/formats

# The directory in which you would like your documentation to be installed
INFODIR = /usr/info

##############################################################
# You probably won't want to change anything after this line #
##############################################################

FORMATS = article.fmt bibtex.fmt book.fmt booklet.fmt \
	inbook.fmt incollection.fmt inproceedings.fmt manual.fmt \
	mastersthesis.fmt misc.fmt phdthesis.fmt preamble.fmt proceedings.fmt \
	string.fmt techreport.fmt unpublished.fmt

DOCUMENTATION = edbibtex.texinfo

CODE = edbibtex.el bibtex.dba compile.el Makefile

ALL = $(FORMATS) $(DOCUMENTATION) $(CODE)

all : edbibtex.elc edbibtex.info

install : 
	cp bibtex.fmt $(FORMATDIR)/$(BASENAME).fmt
	mv $(FORMATS) $(FORMATDIR)
	mv edbibtex.info $(INFODIR)
	cp bibtex.dba $(BIBDIR)/$(BASENAME).dba
	mv edbibtex.elc bibtex.dba $(BASEDIR)

clean : 
	rm $(ALL)

edbibtex.elc : edbibtex.el
	emacs -batch -l compile.el

edbibtex.info : edbibtex.texinfo
	makeinfo edbibtex.texinfo

edbibtex.tgz : $(ALL)
	tar -cvzf edbibtex.tgz --directory .. \
	--exclude RCS --exclude junk edbibtex

edbibtex.uue : edbibtex.tgz
	uuencode edbibtex.tgz edbibtex.tgz > edbibtex.uue

=== debian/changelog ===
edb (1.31-3) unstable; urgency=low

  [ Jari Aalto ]
  * Move to packaging format "3.0 (quilt)".
  * debian/clean
    - Delete test data.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Build-Depends-Indep): Add emacs24, rm emacs23, emacs22.
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update to format 1.0
  * debian/debian-vars.mk
    - Update variables.
  * debian/emacsen-startup
    - (edb-debian-after-find-file): Preserve point, correct hook treatment.
      Patch thanks to Kevin Ryde <user42@zip.com.au> (Closes: #671585).
  * debian/patches
    - (10): New. Use DESTDIR.
    - (20): New. Use cl-flet.
    - (22): New. Use called-interactively-p.
  * debian/rules
    - Udate to dh(1)
    - (override_dh_auto_install): Delete duplicate file
      arb-demo and unneeded (see examples/README) symlinks to /dev/null
      and /etc/passwd.

  [ Tatsuya Kinoshita ]
  * debian/emacsen-install
    - (Install): Ignore old versions of GNU Emacs.
  * debian/control
    - (Depends): Add emacs24, rm emacs23, emacs22.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 03 Jul 2013 12:41:07 +0900

edb (1.31-2) unstable; urgency=low

  * debian/docs
    - New. Install README, NEWS etc. (Closes: #544283).
  * debian/emacsen-startup
    - (edb-debian-inhibit-edb): Add documentation string.
    - (edb-debian-after-find-file): Improve documentation string.
  * debian/control
    - (Depends): Add emacs.
    - (Section): Change misc to lisp.
  * debian/emacsen-install
    - (Install): Adjust displayed message.
  * debian/rules
    - (clean): remove BYTE-COMPILE.el.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 20 Dec 2009 18:05:05 +0200

edb (1.31-1) unstable; urgency=low

  [ Jari Aalto ]
  * GENERAL INFORMATION
    - Read NEWS.Debian for incompatible changes.
  * New upstream release (Closes: #303785).
    - Compilation errors on install (Closes: #242105).
    - Please add info-dir-section to your info files (Closes: #528870).
      Included in original file doc/edb.texi,
  * debian/control
    - (Build-Depends): Update to debhelper 7. Remove dpatch.
    - (Build-Depends-Indep): Add emacs23 | emacs22 | emacs-snapshot.
      Remove emacs21.
    - (Depends): Add make. Add emacs23 (Closes: #542206), remove emacs21.
      emacs23 | emacs22 | emacs-snapshot.
    - (Depends): Add make. Move emacs* packages to Build-Depends-Indep.
      Add ${misc:Depends} (lintian).
      Add "dpkg (>= 1.15.4) | install-info" (lintian).
    - (Homepage): New field. Point to current upstream.
    - (Standards-Version): update to 3.8.3.
    - (Vcs-*): New fields.
  * debian/copyright
    - Update upstream information: current upstream and URL.
    - Adjust layout to match latest dh-make template.
    - Corrected Copyright from GPL-2 to GPL as this is the right
      edb license.
    - Spell out GPL-2 (lintian).
  * debian/emacsen-install
    - Rewrite for new upstream version.
  * debian/emacsen-remove
    - Adjust variable syntax and FLAVOR test.
  * debian/emacsen-startup
    - Rewrite for new upstream version.
    - Rename custom functions and variables to clean
      name space 'edb-debian-*'.
  * debian/{patches,patches-original}/
    - Discard all old patches; start from fresh with new edb.
  * debian/{prerm,postinst}
    - Delete; not needed with debhelper 7.
  * debian/README.Debian
    - Remove old patch information to previous releases.
    - Add introduction to EDB.
  * debian/rules
    - Adjust to new upstream release.
    - (install): use dh_prep (lintian).

  [ Tatsuya Kinoshita ]
  * debian/emacsen-startup
    - Define edb-debian-inhibit-edb to prevent a void-variable error.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 30 Aug 2009 15:04:09 +0900

edb (1.21-17) unstable; urgency=low

  * OVERALL
    - Convert hand written patch system to dpatch.
  * debian/*
    - Remove trailing whitespaces from all files.
  * debian/README.Debian-source
    - New. Explain what changed after package adoption.
  * debian/compat
     - New file.
  * debian/control
    - (Build-Depands): Added dpatch.
    - (Depends): Add emacs22 to the beginning. (Closes: #433974).
  * debian/copyright
    - Update download URL; old one non-existent.
  * debian/patches/*
    - One single dpatch to include all previous changes.
  * debian/patches-original/*
    - Store the original paches including
      some email messages for historial reference.
  * debian/rules
    - Remove DH_COMPAT, use dpatch and *.mk files.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Sep 2007 10:11:49 +0300

edb (1.21-16) unstable; urgency=low

  * debian/control
    - (Section): Change from 'utils' => 'misc' according to ftp-masters
      message: 'package says section is utils, override says misc'.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 Nov 2006 18:43:20 +0200

edb (1.21-15) unstable; urgency=low

  * New maintainer (Orphaned; Closes: #353629).
  * Apply patch by Tatsuya Kinoshita <tats@debian.org> to fix
    debian/control (Build-Depends, Build-Depends-Indep, Depends),
    debian/copyright (Proper copyright year, author, license),
    debian/emacsen-install (added "-q" during byte compilation and
    *.elc cleanup), debian/emacsen-remove (simplified "emacs" treatment),
    debian/emacsen-startup (better init implementation)
  * debian/conffiles
    - Remove file. Had entry "/etc/emacs/site-start.d/50edb.el". This is
      automatically added by debhelper.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 24 Oct 2006 20:07:51 +0300

edb (1.21-14) unstable; urgency=low

  * debian/control: standards 3.6.2.
    (Build-Depends): Added version number to debhelper, this fixes lintian
    warning package-uses-deprecated-debhelper-compat-version
  * debian/rules: use install(1) and not cp(1) for *.el files.
  * debian/copyright: improved layout. Added copyright holder.



=== debian/control ===
Source: edb
Section: lisp
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Uploaders: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texinfo, emacs24 | emacs-snapshot
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/edb.git
Vcs-Git: git://anonscm.debian.org/collab-maint/edb.git
Homepage: http://www.gnuvola.org/software/edb

Package: edb
Architecture: all
Depends: ${misc:Depends}, emacs | emacs24 | emacs-snapshot, make, dpkg (>= 1.15.4) | install-info
Description: database program for GNU Emacs
 EDB is a database program for GNU Emacs. It permits you to
 manipulate structured (or not-so-structured) data within
 Emacs and provides many of the usual database features.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = edb

include debian/debian-vars.mk

override_dh_clean:
	[ ! -f GNUMakefile ] || $(MAKE) clean
	find . -name GNUmakefile \
		-o -name "*[#~]*" \
		| xargs -r rm
	dh_clean

override_dh_auto_test:
	# Ignore tests and FAIL: skram.test

override_dh_auto_install:
	# target: install call make
	$(MAKE) DESTDIR=debian/edb install

	# Don't need compiled files
	rm -f $(PKGLISPDIR)/*.elc

	# The 'make install' doesn't install all files. Do it by hand.
	install -m 644 lisp/*.el  $(PKGLISPDIR)

	# But do not include these, which are not edb-* namespace
	rm	$(PKGLISPDIR)/connection.el \
		$(PKGLISPDIR)/state.el \
		$(PKGLISPDIR)/system.el

	# We need these in emacsen-install
	#
	# The byte compilation is real strange. The
	# bfuncs::edb-bfunc-make-all calls 'make', which reads
	# GNUmakefile with some hackery to print out variables (*.el
	# file lists) stored there. So GNUmakefile must be avalable
	# for 'edb-bfunc-make-all'.

	install -m 644 lisp/bfuncs lisp/GNUmakefile $(PKGLISPDIR)

	# debhelper will handle this
	rm -f $(INFODIR)/dir*

	# Install examples

	install -m 755 -d $(PKGDOCDIR)
	tar -cf - examples | tar -C $(PKGDOCDIR) -xf -

	# This file is duplicate with arb-demo-regexp
	rm -f $(PKGDOCDIR)/examples/arb-demo

	# Delete unused symlinks
	rm -f $(PKGDOCDIR)/examples/passwd $(PKGDOCDIR)/examples/null

override_dh_installinfo:
	dh_installinfo doc/edb.info

override_dh_compress:
	# Do not compress EDB example data files
	dh_compress -X.edb -X.dba -X.fmt -X.dat

%:
	dh $@

# End of file

=== debian/watch ===
version=3
http://www.gnuvola.org/software/edb/ .*edb-([\d.]+).tar.gz
